Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.peermanager
Class CapacityCalculator

    java.lang.Object
      net.i2p.router.peermanager.Calculator
          net.i2p.router.peermanager.CapacityCalculator

    public class CapacityCalculator

extends Calculator

Estimate how many of our tunnels the peer can join per hour.

Field Summary
`(package private) static long` | `GROWTH_FACTOR` used to adjust each period so that we keep trying to expand the peer's capacity

Constructor Summary
`CapacityCalculator(RouterContext context)`

Method Summary
`double` | `calc(PeerProfile profile)` Evaluate the profile according to the current metric

Methods inherited from class net.i2p.router.peermanager.Calculator
`calcBoolean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GROWTH_FACTOR

    static long GROWTH_FACTOR

  used to adjust each period so that we keep trying to expand the peer's capacity

Constructor Detail

### CapacityCalculator

    public CapacityCalculator(RouterContext context)

Method Detail

### calc

    public double calc(PeerProfile profile)

  Description copied from class: `Calculator`
  Evaluate the profile according to the current metric

  Overrides:
    `calc` in class `Calculator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD